libexperimental-perl_0.013-1_all.deb


Advertisement

Description

libexperimental-perl - pragma for making experimental features easy

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libexperimental-perl
Package version 0.013
Package release 1
Package architecture all
Package type deb
Installed size 55 B
Download size 8.28 KB
Official Mirror ftp.br.debian.org
The experimental pragma provides an easy and convenient way to enable or
disable experimental features.
Experimental features were introduced in Perl 5.18, together with a warnings
category "exmperimental". When such features are used, the respective
warnings have to be turned off additionally.
Cf. https://metacpan.org/module/RJBS/perl-5.18.0/pod/perldelta.pod#New-mechanism-for-experimental-features

Alternatives

Package Version Architecture Repository
libexperimental-perl_0.013-1_all.deb 0.013 all Debian Main
libexperimental-perl - - -

Requires

Name Value
perl -

Download

Type URL
Binary Package libexperimental-perl_0.013-1_all.deb
Source Package libexperimental-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libexperimental-perl deb package:
    # sudo apt-get install libexperimental-perl

Files

Path
/usr/share/doc/libexperimental-perl/changelog.Debian.gz
/usr/share/doc/libexperimental-perl/changelog.gz
/usr/share/doc/libexperimental-perl/copyright
/usr/share/lintian/overrides/libexperimental-perl
/usr/share/man/man3/experimental.3pm.gz
/usr/share/perl5/experimental.pm

Changelog

2014-10-26 - gregor herrmann <gregoa@debian.org>
libexperimental-perl (0.013-1) unstable; urgency=medium
* Import upstream version 0.013
2014-10-15 - gregor herrmann <gregoa@debian.org>
libexperimental-perl (0.012-1) unstable; urgency=medium
* Import upstream version 0.012
2014-10-02 - gregor herrmann <gregoa@debian.org>
libexperimental-perl (0.011-1) unstable; urgency=medium
* Imported upstream version 0.011
* Add debian/upstream/metadata
* Mark package as autopkgtest-able.
* Declare compliance with Debian Policy 3.9.6.
2014-08-24 - gregor herrmann <gregoa@debian.org>
libexperimental-perl (0.010-1) unstable; urgency=medium
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ gregor herrmann ]
* New upstream release.
2014-07-06 - gregor herrmann <gregoa@debian.org>
libexperimental-perl (0.008-1) unstable; urgency=medium
* New upstream release.
2014-05-03 - gregor herrmann <gregoa@debian.org>
libexperimental-perl (0.007-1) unstable; urgency=medium
* debian/control: bump required debhelper version for
Module::Build::Tiny to 9.20140227.
* Strip trailing slash from metacpan URLs.
* New upstream release.
2014-01-17 - gregor herrmann <gregoa@debian.org>
libexperimental-perl (0.006-1) unstable; urgency=medium
* New upstream release.
* Drop spelling.patch, merged upstream.
* Update years of packaging copyright.
* Declare compliance with Debian Policy 3.9.5.
2013-07-01 - gregor herrmann <gregoa@debian.org>
libexperimental-perl (0.005-1) unstable; urgency=low
* Initial release (closes: #714574).

See Also

Package Description
libexporter-autoclean-perl_0.01-1_all.deb module that exports functions only available at compile time
libexporter-declare-perl_0.113-1_all.deb perl module for meta-driven exporting
libexporter-easy-perl_0.17-1_all.deb perl module to take the drudgery out of Exporting symbols
libexporter-lite-perl_0.06-1_all.deb lightweight subset of Exporter
libexporter-renaming-perl_1.19-1_all.deb facility to rename symbols when imported
libexporter-tidy-perl_0.07-2_all.deb another way of exporting symbols
libexporter-tiny-perl_0.038-2_all.deb tiny exporter similar to Sub::Exporter
libextlib-ocaml-dev_1.6.1-1_amd64.deb extended standard library for OCaml
libextlib-ocaml_1.6.1-1_amd64.deb extended standard library for OCaml (plugins)
libextlib-ruby-doc_0.9.15-3_all.deb Transitional package for ruby-extlib
libextlib-ruby1.8_0.9.15-3_all.deb Transitional package for ruby-extlib
libextlib-ruby1.9.1_0.9.15-3_all.deb Transitional package for ruby-extlib
libextlib-ruby_0.9.15-3_all.deb Transitional package for ruby-extlib
libextractor-dev_1.3-2+b1_amd64.deb extracts meta-data from files of arbitrary type (development)
libextractor-java-dev_0.6.0-6_amd64.deb Java bindings for GNU libextractor (development)
Advertisement
Advertisement